//Example program demonstrating the projection operation
#include "ffdb.h"
#include "ffdb_io.h"
#include "ffdb_op.h"
#include "ffdb_util.h"
#include <stdio.h>

using namespace ffdb;

int main(void) {
	RowSet rowset_user;
	if(!ReadFromFile("example_db_user.ffdb",&rowset_user)) {
		fprintf(stderr,"Could not read from user database\n");
		return -1;
	}
	
	RowSet result;
	if(!Projection(rowset_user,&result,"id","username",(char*)0)) {
		fprintf(stderr,"Could not project id,username from user database\n");
		return -1;
	}
	
	dump(result,stdout);
	
	return 0;
}
