#ifndef _FFDB_IO_H_
#define _FFDB_IO_H_

#include "ffdb.h"

namespace ffdb {

bool ReadFromFile(const char *filename, RowSet *rowset);
bool WriteToFile(const char *filename, const RowSet &rowset);

enum header_format_t {
	header_format_none,
	header_format_names_only
};

bool ReadFromFile(const char *filename, RowSet *rowset, header_format_t header_format, const char *null_string, char separator);
bool WriteToFile(const char *filename, const RowSet &rowset, header_format_t header_format, const char *null_string, char separator, bool quote_strings);

} //namespace

#endif
