//Example program demonstrating table I/O
#include "ffdb.h"
#include "ffdb_io.h"
#include <stdio.h>

using namespace ffdb;

int main(void) {
	printf("Creating backup of user database...\n");
	RowSet rowset_user;
	if(!ReadFromFile("example_db_user.ffdb",&rowset_user)) {
		fprintf(stderr,"Could not read from user database\n");
		return -1;
	}
	if(!WriteToFile("example_db_user_backup.ffdb",rowset_user)) {
		fprintf(stderr,"Could not write user database backup\n");
		return -1;
	}
	
	printf("Created backup of user database\n");
	return 0;
}
