#include "ffdb.h"
#include "ffdb_io.h"
#include "ffdb_op.h"
#include <stdio.h>

using namespace ffdb;

int main(int argc, char **argv) {
	if(argc!=2) {
		fprintf(stderr,"usage error\n");
		return -1;
	}
	RowSet rowset;
	if(!ReadFromFile(argv[1],&rowset)) {
		fprintf(stderr,"Could not read from test file\n");
		return -1;
	}
	
	PreparedProjection prep_proj;
	prep_proj.add_column("ispvn_id");
	prep_proj.add_column("username");
	for(int i=0; i<10; i++) {
		RowSet result;
		if(!prep_proj.execute(rowset,&result)) {
			fprintf(stderr,"execute error\n");
			return -1;
		}
	}
	return 0;
}
